:root {
    --red: #e01a22;
}

body {
    background-color: #121212;
    color: #ffffff;
    height: 100%;
    font-size: 14px;
    position: relative;
}

/* .container {
    max-width: 992px;
}

*/
nav {
    display: flex;
    align-items: center;
}

.menu .menu-item {
    padding: 0 15px;
    text-transform: uppercase;
    font-size: 1rem;
    font-weight: 500;
}

a {
    color: #fff;
    text-decoration: none;
}

a:hover,
a:active {
    color: var(--red);
}

.back {
    font-size: 2rem;
    padding: 0 15px;
}

.logo {
    height: 40px;
}

#imagebox,
#videobox {
    /* height: 485px; */
    background-color: #222;
    position: relative;
    padding: 15px;
    text-align: center;
    font-size: 14px;
    font-weight: 500;
    color: #ffffff;
}

.image_container {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    height: 400px;
    font-size: 14px;
    font-weight: 500;
    color: #ffffff;
}

#imagebox img {
    max-height: 400px;
    max-width: 100%;
    object-fit: contain;
}

#videobox .video_container {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    height: 460px;
}

#videobox iframe {
    width: 100%;
    height: 100%;
}

.nav-btn-prev,
.nav-btn-next {
    position: absolute;
    z-index: 10;
    top: 30px;
}

.nav-btn-prev span,
.nav-btn-next span {
    display: block;
    background: rgba(0, 0, 0, 0.2);
    opacity: .5;
    width: 45px;
    font-size: 2rem;
    text-align: center;
    padding: 10px 0;
}

.nav-btn-prev:hover span,
.nav-btn-next:hover span {
    opacity: 1;
}

.nav-btn-prev {
    left: 0;
}

.nav-btn-next {
    right: 0;
}

.postdetails {
    width: 100%;
    background-color: #1c1c1c;
    padding: 0 20px;
    display: flex;
    border-bottom: 1px solid #777;
    font-size: 14px;
    font-weight: 500;
    color: #ffffff;
}

.postInfo {
    padding-top: 1rem;
    padding-right: 1rem;
    flex: 1 1 0;
}

.postInfo h6 {
    color: #fff;
    font-weight: 600;
}

.userInfo {
    border-left: 2px solid #777;
    width: 240px;
    position: relative;
    color: #f5f5f5;
    padding-top: 1rem;
}

.userInfo table tr td {
    color: #f5f5f5;
    padding: .2rem;
}

.table-borderless>:not(caption)>*>* {
    border: 0 !important;
}

.postDesc {
    opacity: .7;
}

.option-btn {
    position: absolute;
    top: 5px;
    right: 0;
    border-radius: 5px;
    padding: 8px;
    font-size: 1rem;
    background-color: transparent;
    color: rgba(255, 255, 255, .5);
    cursor: pointer;
}

.option-btn:hover {
    background-color: #262626;
    color: rgba(255, 255, 255, .8);
}

.option-menu {
    position: absolute;
    top: 5px;
    right: 30px;
    border-radius: 5px;
    overflow: hidden;
    background-color: #262626;
    border: 1px solid #333;
    box-shadow: 0 5px 35px 0 #111;
    display: none;
}

.option-menu ul {
    padding: 0;
    margin: 0;
    list-style: none;
    width: 120px;
}

.option-menu ul li {
    padding: 10px 16px;
    font-weight: 500;
}

.option-menu ul li:hover {
    background-color: #1c1c1c;
}

.option-menu ul li:hover a {
    color: var(--red);
}

.comment-container {
    background-color: #1c1c1c;
    padding: 10px;
    max-height: 500px;
    overflow: auto;
    font-size: 14px;
    color: #ffffff;
}

.comment-container::-webkit-scrollbar {
    width: 8px;
}

.comment-container::-webkit-scrollbar-track {
    box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    border-radius: 10px;
}

.comment-container::-webkit-scrollbar-thumb {
    background-color: var(--red);
    border-radius: 10px;
}

.comment_frm_box {
    width: 100%;
    padding: 1rem;
    background-color: #1c1c1c;
}

.cmt_in_grp {
    display: flex;
}

.cmt_in_grp input {
    padding: 8px;
    border: 0;
    background: #333;
    border-radius: 3px;
    display: flex;
    flex: 1 1 0;
    color: #fff;
    outline: none;
}

.cmt_in_grp button {
    border: 0;
    border-left: 1px solid #1c1c1c;
    outline: none;
    border-radius: 3px;
    width: 100px;
    background-color: #333;
    color: #fff;
}

.commentsLoading {
    text-align: center;
    color: #9E9E9E;
    padding: 15px;
    font-size: 1.5rem;
}

.comment {
    background: #FFCDD2;
    border-radius: 10px;
    padding: 5px 10px;
    margin-bottom: 10px;
    color: #1c1c1c;
    position: relative;
}

.comment.moderator {
    background: #BBDEFB;
}

.comment .user_name {
    font-weight: 700;
    /* font-size: 1rem; */
}

.comment .comment_text {
    margin-bottom: 5px;
}

.comment .delete {
    position: absolute;
    top: 5px;
    right: 8px;
    cursor: pointer;
}


/* .comment .datetime{ */


/* font-size: .75rem; */


/* } */

.thumbbox {
    background-color: #262626;
    padding: 15px;
    position: relative;
}

.thumbs {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.thumbs img {
    height: 100px;
    width: 100px;
    object-fit: cover;
}

.center_thumb {
    width: 100px;
    height: 100px;
    margin: 0 10px;
}

.right_thumbs {
    width: 325px;
    height: 100px;
    display: flex;
}

.right_thumbs img {
    opacity: .6;
    margin-right: 10px;
    transition: all .2s ease;
}

.left_thumbs {
    width: 325px;
    height: 100px;
    display: flex;
    flex-direction: row-reverse;
}

.left_thumbs img {
    opacity: .6;
    margin-left: 10px;
    transition: all .2s ease;
}

.right_thumbs img:hover,
.left_thumbs img:hover {
    opacity: 1;
}

.hastag {
    color: #00fff1;
    font-weight: 500;
}

.postTitle {
    margin: 0 15px 15px;
    background-color: var(--red);
    border-radius: 50px;
    line-height: 2;
    color: #fff;
    font-weight: 600;
}

.lb-data .lb-caption {
    font-size: 16px;
}

footer {
    color: #fff;
    width: 100%;
    margin-top: 2rem;
    font-size: 1rem;
    position: absolute;
    bottom: 0;
}

footer h6 {
    margin-bottom: 15px;
}

footer p {
    color: #9e9e9e;
}

.footer-menu {
    margin: 0;
    padding: 0;
    list-style: none;
}

.footer-menu li {
    margin-top: 5px;
}

.footer-menu a:hover {
    color: var(--primary-color);
    text-decoration: none;
}

.footer-menu a {
    color: #9e9e9e;
}

.footer-social a {
    color: #fff;
    width: 40px;
    height: 40px;
}

.footer-social a {
    display: -ms-inline-flex;
    display: -webkit-inline-box;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    border-radius: 50%;
    color: #fff;
    font-size: 16px;
    margin-left: 5px;
    -webkit-transition: all 0.3s;
    transition: all 0.3s;
    text-decoration: none;
}

.footer-social p {
    margin-bottom: 0;
    padding: 0;
    display: inline-block;
    color: #9190a5;
    font-size: 16px;
    padding-top: 4px;
    font-weight: 500;
}

.align-items-center {
    align-items: center !important;
}

.justify-content-end {
    justify-content: flex-end !important;
}

.d-flex {
    display: flex !important;
}

.pe-5 {
    padding-right: 3rem !important;
}

.ps-4 {
    padding-left: 1.5rem !important;
}

.sidepanel {
    display: flex;
    flex-direction: column;
}

.sidepanel img {
    width: 100%;
}

.menu-btn {
    display: none;
}

.menu-list {
    display: block;
}

@media (max-width: 768px) {
    .footer_lower {
        -webkit-box-orient: vertical !important;
        -webkit-box-direction: normal !important;
        -ms-flex-direction: column !important;
        flex-direction: column !important;
    }
}

@media (max-width: 500px) {
    nav {
        padding-top: 10px;
    }

    .menu-btn {
        display: block;
    }

    .menu-list {
        position: absolute;
        right: 0;
        background: #ffff;
        padding: 10px 5px;
        color: #1c1c1c;
        display: flex;
        flex-direction: column;
        min-width: 140px;
        border-radius: 5px;
        opacity: 0;
        visibility: hidden;
        transition: all .3s ease;
    }

    .menu-list.show {
        opacity: 1;
        visibility: visible;
    }

    .menu .menu-item {
        color: #1c1c1c;
        padding: 5px 8px;
    }

    .sidepanel {
        flex-direction: row;
        flex-wrap: wrap;
    }

    .sidepanel .panel-btn {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 50%;
        flex: 0 0 50%;
        width: 50%;
        max-width: 50%;
        padding: 0 5px;
    }

    .panel-btn img {
        width: 100%;
    }

    .postdetails {
        flex-wrap: wrap;
    }

    .postdetails .postInfo {
        width: 100%;
    }

    .postdetails .userInfo {
        width: 100%;
        border: 0;
        border-top: 1px solid #777;
    }
}

@media (min-width: 576px) {

    footer .container,
    footer .container-sm {
        max-width: 540px;
    }
}

@media (min-width: 768px) {

    footer .container,
    footer .container-md,
    footer .container-sm {
        max-width: 720px;
    }
}

@media (min-width: 992px) {

    footer .container,
    footer .container-lg,
    footer .container-md,
    footer .container-sm {
        max-width: 960px;
    }
}

@media (min-width: 1200px) {

    footer .container,
    footer .container-lg,
    footer .container-md,
    footer .container-sm,
    footer .container-xl {
        max-width: 1140px;
    }
}

@media (min-width: 1400px) {

    footer .container,
    footer .container-lg,
    footer .container-md,
    footer .container-sm,
    footer .container-xl,
    footer .container-xxl {
        max-width: 1320px;
    }
}